/* CSS Organization - Follow This Order for Consistency
    ~ Layout: Display & Position
    ~ Box Model: Margin, Padding, Border, Width, Height
    ~ Typography or Content: Font, Text, List
    ~ Appearance or Decoration: Color, Background, Borders
    ~ Interaction: Transitions, Keyframes
    ~ Miscellaneous: Other properties that don't fit into the above categories
*/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* border: limegreen 2px solid; */
}

body {
    margin: 40px;
    font-family: Arial, sans-serif;
}


/* Layout */
.container {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100vh;
}

.left-panel {
    flex: 2;
    padding: 20px;
    font-size: 1.4rem;
}

.right-panel {
    flex: 1;
    padding: 20px;
    border-left: 3px solid #ccc;
    overflow-y: auto;
    font-size: 1.2rem;
}

#historyList {
    margin-top: 10px;
}

.history-item {
    display: flex;
    justify-content: space-between;
    padding: 8px;
    border-bottom: 10px solid #ddd;
}

.history-problem, .history-answer {
    display: inline-block;
    margin: 0 5px;
    font-size: 1.8rem;
}

.history-problem {
    width: 60%;
}

.history-answer {
    width: 35%;
    text-align: right;
    
}

#equation, #directions {
    margin: 20px;
    font-size: 28px;
}

#equation {

    /* Layout */
    display: block;

    /* Topography */
    font-size: 8rem;
    font-family: 'Comic Sans MS'; 
    /* ,'GrilledCheese BTN', 'Snap ITC','Arial Black', sans-serif; */
    font-weight: bold;
    text-align: center;
}

#particulars {
    display: none;
    opacity: 0.7;
    font-size: 4rem;
    text-align: center;
    color: gray;
}

#answer {
    display: none;
    margin: 20px;
    font-size: 24px;
    color: green;
}

button {

    /* Box Model */
    padding: 10px 20px;
    margin-top: 10px;
    margin-right: 10px;

    /* Typography */
    font-size: 18px;
}
